Разработчики Parity Ethereum сообщили об исправлении серьёзной уязвимости

Разработчики Parity Ethereum сообщили об исправлении серьёзной уязвимости

Команда разъясняет, что проблема решена и пользователи должны обновиться до стабильной версии.

Вчера вечером разработчики Parity сообщили об обнаружении критической ошибки в синхронизации клиента.

Изучая проблемы с нашими узлами на Ropsten, мы обнаружили, что существует потенциальная проблема, связанная с синхронизацией между Parity Ethereum (до версии 1.10.4-stable и 1.11.1-beta) и всеми другими клиентами Ethereum”.

В худшем случае, отправка неправильной транзакции (поступающей от 0xfff … адрес fff) к узлу Parity Ethereum могла привести к тому, что узел мог произвести дефектный блок, который по-прежнему будет считался бы действительным для других затронутых узлов Parity Ethereum, что могло бы привести к разделению цепи — заявили в компании

По данным разработчиков, примерно 30% участников сети Эфириум пользуются клиентом Parity Ethereum и это могло бы привести к серьёзным последствиям. Но как сообщают в компании, проблема была исправлена и они призывают всех обновится до версии 1.10.6-stable или 1.11.3-beta.

Напомним, что в 2017 году по ошибке одного из пользователей клиента Parity оказались заблокированы средства на сумму около 280 млн. долларов.

Оставить комментарий

Войти с помощью: 

Ваш электронный адрес не будет опубликован.


*